# RemoveDeviceRequest Schema

```txt
https://timelimit.io/RemoveDeviceRequest
```



| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------------------- |
| Can be instantiated | Yes        | Unknown status | No           | Forbidden         | Forbidden             | none                | [RemoveDeviceRequest.schema.json](RemoveDeviceRequest.schema.json "open original schema") |

## RemoveDeviceRequest Type

`object` ([RemoveDeviceRequest](removedevicerequest.md))

# RemoveDeviceRequest Properties

| Property                                              | Type     | Required | Nullable       | Defined by                                                                                                                                                        |
| :---------------------------------------------------- | :------- | :------- | :------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [deviceAuthToken](#deviceauthtoken)                   | `string` | Required | cannot be null | [RemoveDeviceRequest](removedevicerequest-properties-deviceauthtoken.md "https://timelimit.io/RemoveDeviceRequest#/properties/deviceAuthToken")                   |
| [parentUserId](#parentuserid)                         | `string` | Required | cannot be null | [RemoveDeviceRequest](removedevicerequest-properties-parentuserid.md "https://timelimit.io/RemoveDeviceRequest#/properties/parentUserId")                         |
| [parentPasswordSecondHash](#parentpasswordsecondhash) | `string` | Required | cannot be null | [RemoveDeviceRequest](removedevicerequest-properties-parentpasswordsecondhash.md "https://timelimit.io/RemoveDeviceRequest#/properties/parentPasswordSecondHash") |
| [deviceId](#deviceid)                                 | `string` | Required | cannot be null | [RemoveDeviceRequest](removedevicerequest-properties-deviceid.md "https://timelimit.io/RemoveDeviceRequest#/properties/deviceId")                                 |

## deviceAuthToken



`deviceAuthToken`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [RemoveDeviceRequest](removedevicerequest-properties-deviceauthtoken.md "https://timelimit.io/RemoveDeviceRequest#/properties/deviceAuthToken")

### deviceAuthToken Type

`string`

## parentUserId



`parentUserId`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [RemoveDeviceRequest](removedevicerequest-properties-parentuserid.md "https://timelimit.io/RemoveDeviceRequest#/properties/parentUserId")

### parentUserId Type

`string`

## parentPasswordSecondHash



`parentPasswordSecondHash`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [RemoveDeviceRequest](removedevicerequest-properties-parentpasswordsecondhash.md "https://timelimit.io/RemoveDeviceRequest#/properties/parentPasswordSecondHash")

### parentPasswordSecondHash Type

`string`

## deviceId



`deviceId`

*   is required

*   Type: `string`

*   cannot be null

*   defined in: [RemoveDeviceRequest](removedevicerequest-properties-deviceid.md "https://timelimit.io/RemoveDeviceRequest#/properties/deviceId")

### deviceId Type

`string`

# RemoveDeviceRequest Definitions
